<title>Edit Profile - Spotify</title>

{% include 'navbar.html' %}


<div style="padding: 100px 0px; background:#121e3d;">
    <div class="row">
        <div class="col-2">
            <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                <a class="nav-link active btn-dark" href="{{url_for('profile', id=current_user.id)}}" role="tab" aria-controls="v-pills-home" aria-selected="true">Account overview</a>
                <a class="nav-link active btn-dark" id="v-pills-home-tab" data-toggle="pill" href="#v-pills-profile" role="tab" aria-controls="v-pills-home" aria-selected="true">Edit Profile</a>
                <a class="nav-link active btn-dark" href="{{url_for('change_password')}}" role="tab" aria-controls="v-pills-home" aria-selected="true">Change Password</a>
                <a class="nav-link btn-dark" id="v-pills-profile-tab" data-toggle="pill" href="#v-pills-subscribe" role="tab" aria-controls="v-pills-profile" aria-selected="false">Subscription</a>
                <a class="nav-link btn-dark" id="v-pills-messages-tab" data-toggle="pill" href="#v-pills-messages" role="tab" aria-controls="v-pills-messages" aria-selected="false">Notification Settings</a>
                <a class="nav-link btn-dark" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false">Privacy Settings</a>
                <a class="nav-link btn-dark" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false">Offline Devices</a>
                <a class="nav-link btn-dark" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false">Recover Playlists</a>
                <a class="nav-link btn-dark" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false">Reciepts</a>
            </div>
        </div>
        <div class="col-9">
            <div class="tab-content" id="v-pills-tabContent">
                <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab" style="background: white; padding:10px 50px;">
                    <p>Edit Profile</p>
                    <form action="" method="post">
                        {{ form.hidden_tag() }}
                        <p>
                            {{ form.email.label }}<br> {{ form.email(size=64) }}<br> {% for error in form.email.errors %}
                            <span style="color: red;">[{{ error }}]</span> {% endfor %}
                        </p>

                        <p>
                            {{ form.password.label }}<br> {{ form.password(size=32) }}<br> {% for error in form.password.errors %}
                            <span style="color: red;">[{{ error }}]</span> {% endfor %}
                        </p>

                        <p>
                            Date of Birth<br>{{ form.year.label }} {{ form.year(size=6) }} {{form.month }} {{ form.date.label }} {{ form.date(size=6) }}<br> {% for error in form.year.errors %}
                            <span style="color: red;">[{{ error }}]</span> {% endfor %}
                        </p>
                        <p>
                            {{ form.gender }}
                        </p>

                        <p>{{ form.submit() }}</p>
                    </form>

                    {% with messages = get_flashed_messages() %} {% if messages %}
                    <ul>
                        {% for message in messages %}
                        <li>{{ message }}</li>
                        {% endfor %}
                    </ul>
                    {% endif %} {% endwith %}
                </div>
            </div>
        </div>
    </div>
</div>

</div>
{% include 'footer.html' %}




<!-- <p>Edit Profile</p>
<form action="" method="post">
    {{ form.hidden_tag() }}
    <p>
        {{ form.email.label }}<br> {{ form.email(size=64) }}<br> {% for error in form.email.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>

    <p>
        {{ form.password.label }}<br> {{ form.password(size=32) }}<br> {% for error in form.password.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>

    <p>
        Date of Birth<br>{{ form.year.label }} {{ form.year(size=6) }} {{form.month }} {{ form.date.label }} {{ form.date(size=6) }}<br> {% for error in form.year.errors %}
        <span style="color: red;">[{{ error }}]</span> {% endfor %}
    </p>
    <p>
        {{ form.gender }}
    </p>

    <p>{{ form.submit() }}</p>
</form>

{% with messages = get_flashed_messages() %} {% if messages %}
<ul>
    {% for message in messages %}
    <li>{{ message }}</li>
    {% endfor %}
</ul>
{% endif %} {% endwith %} -->